ReliableTransportChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.reliable.ReliableTransportChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.reliable
Class ReliableTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory
          org.codehaus.activemq.transport.reliable.ReliableTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

public class ReliableTransportChannelFactory
extends CompositeTransportChannelFactory

A Reliable implementation of a TransportChannelFactory

Version:
  $Revision: 1.2 $

Constructor Summary
`ReliableTransportChannelFactory()`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation)` Create a TransportChannel
`protected List` | `randomizeURIs(List uris)`

Methods inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory
`create, parseURIs, requiresEmbeddedBroker, stripLeadingSlashes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReliableTransportChannelFactory

    public ReliableTransportChannelFactory()

Method Detail

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation)
                            throws JMSException

  Create a TransportChannel

  Specified by:
    `create` in interface `TransportChannelFactory`
  Overrides:
    `create` in class `CompositeTransportChannelFactory`
  Parameters:
    `wireFormat` - - the on-the-wire marshaller
    `remoteLocation` - - location to bind to
  Returns:
    a reliable transport channel
  Throws:
    `JMSException` - if an error occurs

### randomizeURIs

    protected List randomizeURIs(List uris)

  Overrides:
    `randomizeURIs` in class `CompositeTransportChannelFactory`
  Parameters:
    `uris` - - the URIs to randomize
  Returns:
    randomized array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.